﻿Option Strict On
Option Explicit On
Public Class Form3
    ' Über "GlobalTds" kann auf das typ. Dataset zugegriffen werden
    ' "GlobalTds" ist über ein Friend Module definiert
    Private EVhandler As EventHandler

    Public Sub New(ByRef hdl As EventHandler)
        MyBase.New()
        Me.InitializeComponent()
        Me.EVhandler = hdl
        AddHandler Button2.Click, EVhandler 'Nachdem die Sub "Button2_Click" abgearbeitet worde ist wird ein Event ausgelöst
        Me.DataGridView1.DataSource = GlobalTds.Wert 'Soll nur zeigen was drin ist
        Me.DataGridView2.DataSource = GlobalTds.NoiseSource 'Soll nur zeigen was drin ist
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button1.Click
        Dim OutputLines As New List(Of String)
        OutputLines.Clear()
        Dim cnt As Integer = GlobalTds.NoiseSource.Count

        For i As Integer = 0 To cnt - 1
            OutputLines.Add("----------------")
            For Each wert In GlobalTds.NoiseSource(i).GetWertRows
                OutputLines.Add(wert.Frequenz.ToString & "   " & wert.ENR_dB.ToString)
            Next
        Next
        OutputLines.Add("----------------")

        Label1.Text = (String.Join(Environment.NewLine, OutputLines))
    End Sub

    Private Sub Button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button2.Click
        MessageBox.Show("Vor dem Event und dem Hinzufügen von Daten noch etwas erledigen ;-)") 'Mach noch irgendwas bevor der Event ausgelöst wird
    End Sub

End Class